# -*- coding: utf-8 -*-
from setuphelpers import *

# Defining variables
bin_name_zip = "sqliteadmin.zip"

app_name = "SQLite Administrator"
app_name_dir = "sqliteadmin"
app_dir = makepath(programfiles32, app_name_dir)
app_exe = "sqliteadmin.exe"
app_path = makepath(app_dir, app_exe)
processes_to_kill = app_exe


def install():
    # Installing the package
    killalltasks(processes_to_kill)
    if isdir(app_dir):
        remove_tree(app_dir)
    unzip(bin_name_zip, target=makepath(programfiles32), filenames=r"%s\*" % app_name_dir)
    create_programs_menu_shortcut(app_name, app_path)
    remove_programs_menu_shortcut("SqliteAdmin")
    register_windows_uninstall(control)


def uninstall():
    # Uninstalling the package
    killalltasks(processes_to_kill)
    remove_tree(app_dir)
    remove_programs_menu_shortcut(app_name)
    unregister_uninstall(app_name)
